PWAs

GET https://pusher.lt/api/pwas/
curl --request GET \
--url 'https://pusher.lt/api/pwas/' \
--header 'Authorization: Bearer {api_key}' \
Parametrai Informacija Aprašymas
search Pasirinktinis Eilutė Paieškos eilutė.
search_by Pasirinktinis Eilutė Kokia sritimi ieškote. Leidžiamos reikšmės: name.
datetime_field Pasirinktinis Eilutė Leidžiamos reikšmės: datetime, last_datetime
datetime_start Pasirinktinis Eilutė Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Pasirinktinis Eilutė Filter results up to this datetime. Y-m-d H:i:s format.
order_by Pasirinktinis Eilutė Kokia sritis rezultatams rikiuoti. Leidžiamos reikšmės: pwa_id, name, datetime, last_datetime.
order_type Pasirinktinis Eilutė Rezultatų rikiavimo tvarka. Galimos reikšmės: ASC rikiavimui didėjančia tvarka ir DESC rikiavimui mažėjančia tvarka.
page Pasirinktinis Sveikasis skaičius Puslapio numeris, iš kurio norite gauti rezultatus. Pagal nutylėjimą 1.
results_per_page Pasirinktinis Sveikasis skaičius Kiek rezultatų norite matyti puslapyje. Galimos reikšmės: 10, 25, 50, 100, 250, 500, 1000. Numatytoji reikšmė: 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "name": "Example app",
            "settings": {
                "short_name": "Example",
                "description": "Example PWA application.",
                "start_url": "https://example.com/",
                "display": "standalone",
                "orientation": "any",
                "background_color": "#ffffff",
                "theme_color": "#237fff",
                "app_icon_url": "https://example.com/icon.png",
                "app_icon_maskable_url": "",
                "mobile_screenshot_urls": ["", "", "", "", "", ""],
                "desktop_screenshot_urls": ["", "", "", "", "", ""],
                "shortcuts": [
                    {"name": "", "description": "", "url": "", "icon_url": ""},
                    {"name": "", "description": "", "url": "", "icon_url": ""},
                    {"name": "", "description": "", "url": "", "icon_url": ""}
                ],
                "id": "",
                "dir": "auto",
                "lang": "en",
                "scope_url": "https://example.com/"
            },
            "manifest": {
                "name": "Example app",
                "short_name": "Example",
                "description": "Example PWA application.",
                "start_url": "https://example.com/",
                "display": "standalone",
                "orientation": "any",
                "background_color": "#ffffff",
                "theme_color": "#237fff",
                "lang": "en",
                "dir": "auto",
                "scope_url": "https://example.com/",
                "icons": [
                    {
                        "src": "https://example.com/icon.png",
                        "type": "image/png",
                        "purpose": "any",
                        "sizes": "512x512"
                    }
                ]
            },
            "last_datetime": null,
            "datetime": "2026-07-27 06:02:24"
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total_results": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://pusher.lt/api/pwas?page=1",
        "last": "https://pusher.lt/api/pwas?page=1",
        "next": null,
        "prev": null,
        "self": "https://pusher.lt/api/pwas?page=1"
    }
}
GET https://pusher.lt/api/pwas/{pwa_id}
curl --request GET \
--url 'https://pusher.lt/api/pwas/{pwa_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "name": "Example app",
        "settings": {
            "short_name": "Example",
            "description": "Example PWA application.",
            "start_url": "https://example.com/",
            "display": "standalone",
            "orientation": "any",
            "background_color": "#ffffff",
            "theme_color": "#237fff",
            "app_icon_url": "https://example.com/icon.png",
            "app_icon_maskable_url": "",
            "mobile_screenshot_urls": ["", "", "", "", "", ""],
            "desktop_screenshot_urls": ["", "", "", "", "", ""],
            "shortcuts": [
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""}
            ],
            "id": "",
            "dir": "auto",
            "lang": "en",
            "scope_url": "https://example.com/"
        },
        "manifest": {
            "name": "Example app",
            "short_name": "Example",
            "start_url": "https://example.com/",
            "display": "standalone",
            "icons": [
                {
                    "src": "https://example.com/icon.png",
                    "type": "image/png",
                    "purpose": "any",
                    "sizes": "512x512"
                }
            ]
        },
        "last_datetime": null,
        "datetime": "2026-07-27 06:02:24"
    }
}
POST https://pusher.lt/api/pwas
Parametrai Informacija Aprašymas
name Reikalinga Eilutė The full name of your PWA app - will be shown in your phone home screen or desktop.
short_name Pasirinktinis Eilutė Optional short name of your PWA - will be shown when there is not enough room to display the full name.
description Pasirinktinis Eilutė Optional short description of your PWA - will be shown in some devices when installing and after installation.
start_url Pasirinktinis Eilutė The full URL that opens when your PWA is launched.
background_color Pasirinktinis Eilutė The background color used on the splash screen and while the app is loading.
theme_color Pasirinktinis Eilutė The browser UI color that matches your app's theme.
app_icon_url Reikalinga Eilutė The main icon of your app. Make sure the icon is 512x512 pixels, PNG file.
app_icon_maskable_url Pasirinktinis Eilutė Make sure the icon is 512x512 pixels, PNG file. What is a maskable icon?
mobile_screenshot_url_{1-6} Pasirinktinis Eilutė Optional mobile screenshots shown on the installation prompt.
desktop_screenshot_url_{1-6} Pasirinktinis Eilutė Optional desktop screenshots shown on the installation prompt.
shortcut_name_{1-3} Pasirinktinis Eilutė Name for the shortcut as displayed on the device.
shortcut_description_{1-3} Pasirinktinis Eilutė Optional description to explain the shortcut.
shortcut_url_{1-3} Pasirinktinis Eilutė URL the shortcut should open.
shortcut_icon_url_{1-3} Pasirinktinis Eilutė Make sure the icon is 128x128 pixels, PNG file.
id Pasirinktinis Eilutė Optional unique identifier for the PWA. Useful for updates and maintaining identity across installations.
display Pasirinktinis Eilutė Leidžiamos reikšmės: fullscreen, standalone, minimal-ui, browser
orientation Pasirinktinis Eilutė Leidžiamos reikšmės: portrait, landscape, any
dir Pasirinktinis Eilutė Leidžiamos reikšmės: auto, ltr, rtl
lang Pasirinktinis Eilutė en for English, de for German, etc.
scope_url Pasirinktinis Eilutė Defines the navigation scope of your PWA. Only pages within this scope will be accessible while the app is running. Typically matches the start URL path.
curl --request POST \
--url 'https://pusher.lt/api/pwas' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example app' \
--form 'short_name=Example' \
--form 'description=Example PWA application.' \
--form 'start_url=https://example.com/' \
--form 'app_icon_url=https://example.com/icon.png' \
--form 'background_color=#ffffff' \
--form 'theme_color=#237fff' \
--form 'lang=en' \
--form 'scope_url=https://example.com/'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "name": "Example app",
        "settings": {
            "short_name": "Example",
            "description": "Example PWA application.",
            "start_url": "https://example.com/",
            "display": "standalone",
            "orientation": "any",
            "background_color": "#ffffff",
            "theme_color": "#237fff",
            "app_icon_url": "https://example.com/icon.png",
            "app_icon_maskable_url": "",
            "mobile_screenshot_urls": ["", "", "", "", "", ""],
            "desktop_screenshot_urls": ["", "", "", "", "", ""],
            "shortcuts": [
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""}
            ],
            "id": "",
            "dir": "auto",
            "lang": "en",
            "scope_url": "https://example.com/"
        },
        "manifest": {
            "name": "Example app",
            "short_name": "Example",
            "description": "Example PWA application.",
            "start_url": "https://example.com/",
            "display": "standalone",
            "orientation": "any",
            "background_color": "#ffffff",
            "theme_color": "#237fff",
            "lang": "en",
            "dir": "auto",
            "scope_url": "https://example.com/",
            "icons": [
                {
                    "src": "https://example.com/icon.png",
                    "type": "image/png",
                    "purpose": "any",
                    "sizes": "512x512"
                }
            ]
        },
        "last_datetime": null,
        "datetime": "2026-07-27 06:02:24"
    }
}
POST https://pusher.lt/api/pwas/{pwa_id}
Parametrai Informacija Aprašymas
name Pasirinktinis Eilutė The full name of your PWA app - will be shown in your phone home screen or desktop.
short_name Pasirinktinis Eilutė Optional short name of your PWA - will be shown when there is not enough room to display the full name.
description Pasirinktinis Eilutė Optional short description of your PWA - will be shown in some devices when installing and after installation.
start_url Pasirinktinis Eilutė The full URL that opens when your PWA is launched.
background_color Pasirinktinis Eilutė The background color used on the splash screen and while the app is loading.
theme_color Pasirinktinis Eilutė The browser UI color that matches your app's theme.
app_icon_url Pasirinktinis Eilutė The main icon of your app. Make sure the icon is 512x512 pixels, PNG file.
app_icon_maskable_url Pasirinktinis Eilutė Make sure the icon is 512x512 pixels, PNG file. What is a maskable icon?
mobile_screenshot_url_{1-6} Pasirinktinis Eilutė Optional mobile screenshots shown on the installation prompt.
desktop_screenshot_url_{1-6} Pasirinktinis Eilutė Optional desktop screenshots shown on the installation prompt.
shortcut_name_{1-3} Pasirinktinis Eilutė Name for the shortcut as displayed on the device.
shortcut_description_{1-3} Pasirinktinis Eilutė Optional description to explain the shortcut.
shortcut_url_{1-3} Pasirinktinis Eilutė URL the shortcut should open.
shortcut_icon_url_{1-3} Pasirinktinis Eilutė Make sure the icon is 128x128 pixels, PNG file.
id Pasirinktinis Eilutė Optional unique identifier for the PWA. Useful for updates and maintaining identity across installations.
display Pasirinktinis Eilutė Leidžiamos reikšmės: fullscreen, standalone, minimal-ui, browser
orientation Pasirinktinis Eilutė Leidžiamos reikšmės: portrait, landscape, any
dir Pasirinktinis Eilutė Leidžiamos reikšmės: auto, ltr, rtl
lang Pasirinktinis Eilutė en for English, de for German, etc.
scope_url Pasirinktinis Eilutė Defines the navigation scope of your PWA. Only pages within this scope will be accessible while the app is running. Typically matches the start URL path.
curl --request POST \
--url 'https://pusher.lt/api/pwas/{pwa_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Updated example app' \
--form 'theme_color=#000000'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "name": "Updated example app",
        "settings": {
            "short_name": "Example",
            "description": "Example PWA application.",
            "start_url": "https://example.com/",
            "display": "standalone",
            "orientation": "any",
            "background_color": "#ffffff",
            "theme_color": "#000000",
            "app_icon_url": "https://example.com/icon.png",
            "app_icon_maskable_url": "",
            "mobile_screenshot_urls": ["", "", "", "", "", ""],
            "desktop_screenshot_urls": ["", "", "", "", "", ""],
            "shortcuts": [
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""}
            ],
            "id": "",
            "dir": "auto",
            "lang": "en",
            "scope_url": "https://example.com/"
        },
        "manifest": {
            "name": "Updated example app",
            "short_name": "Example",
            "start_url": "https://example.com/",
            "display": "standalone",
            "theme_color": "#000000",
            "icons": [
                {
                    "src": "https://example.com/icon.png",
                    "type": "image/png",
                    "purpose": "any",
                    "sizes": "512x512"
                }
            ]
        },
        "last_datetime": "2026-07-27 06:02:24",
        "datetime": "2026-07-27 06:02:24"
    }
}
DELETE https://pusher.lt/api/pwas/{pwa_id}
curl --request DELETE \
--url 'https://pusher.lt/api/pwas/{pwa_id}' \
--header 'Authorization: Bearer {api_key}' \